{
    "$graph": [
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/file1"
                }
            ],
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#main/file1",
                            "id": "#main/step1/file1"
                        }
                    ],
                    "out": [
                        "#main/step1/count_output"
                    ],
                    "run": {
                        "class": "Workflow",
                        "inputs": [
                            {
                                "type": "File",
                                "id": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/file1"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "int",
                                "outputSource": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/step1/count_output",
                                "id": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/count_output"
                            }
                        ],
                        "steps": [
                            {
                                "in": [
                                    {
                                        "source": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/file1",
                                        "id": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/step1/file1"
                                    }
                                ],
                                "out": [
                                    "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/step1/count_output"
                                ],
                                "run": {
                                    "class": "Workflow",
                                    "inputs": [
                                        {
                                            "type": "File",
                                            "id": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/step1/99162681-ad7c-4837-94e9-4c42b0a918f3/file1"
                                        }
                                    ],
                                    "outputs": [
                                        {
                                            "type": "int",
                                            "outputSource": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/step1/99162681-ad7c-4837-94e9-4c42b0a918f3/step2/output",
                                            "id": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/step1/99162681-ad7c-4837-94e9-4c42b0a918f3/count_output"
                                        }
                                    ],
                                    "steps": [
                                        {
                                            "run": "#wc-tool.cwl",
                                            "in": [
                                                {
                                                    "source": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/step1/99162681-ad7c-4837-94e9-4c42b0a918f3/file1",
                                                    "id": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/step1/99162681-ad7c-4837-94e9-4c42b0a918f3/step1/file1"
                                                }
                                            ],
                                            "out": [
                                                "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/step1/99162681-ad7c-4837-94e9-4c42b0a918f3/step1/output"
                                            ],
                                            "id": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/step1/99162681-ad7c-4837-94e9-4c42b0a918f3/step1"
                                        },
                                        {
                                            "run": "#parseInt-tool.cwl",
                                            "in": [
                                                {
                                                    "source": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/step1/99162681-ad7c-4837-94e9-4c42b0a918f3/step1/output",
                                                    "id": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/step1/99162681-ad7c-4837-94e9-4c42b0a918f3/step2/file1"
                                                }
                                            ],
                                            "out": [
                                                "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/step1/99162681-ad7c-4837-94e9-4c42b0a918f3/step2/output"
                                            ],
                                            "id": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/step1/99162681-ad7c-4837-94e9-4c42b0a918f3/step2"
                                        }
                                    ],
                                    "id": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/step1/99162681-ad7c-4837-94e9-4c42b0a918f3"
                                },
                                "id": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5/step1"
                            }
                        ],
                        "id": "#main/step1/8f6e1d1e-bb35-44e2-b42a-0cbfdb23c7c5"
                    },
                    "id": "#main/step1"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "int",
                    "outputSource": "#main/step1/count_output",
                    "id": "#main/count_output"
                }
            ]
        },
        {
            "class": "ExpressionTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "loadContents": true
                    },
                    "id": "#parseInt-tool.cwl/file1"
                }
            ],
            "outputs": [
                {
                    "type": "int",
                    "id": "#parseInt-tool.cwl/output"
                }
            ],
            "expression": "$({'output': parseInt(inputs.file1.contents)})",
            "id": "#parseInt-tool.cwl"
        },
        {
            "class": "CommandLineTool",
            "hints": [
                {
                    "ramMin": 8,
                    "class": "ResourceRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#wc-tool.cwl/file1"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "output"
                    },
                    "id": "#wc-tool.cwl/output"
                }
            ],
            "baseCommand": [
                "wc",
                "-l"
            ],
            "stdin": "$(inputs.file1.path)",
            "stdout": "output",
            "id": "#wc-tool.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
